%global srcname requests_ntlm
%global gh_owner requests
%global gh_name requests-ntlm

Name:           python-%{srcname}
Version:        0.3.0
Release:        1%{?dist}
Summary:        NTLM module for python requests

License:        ISC
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/%{gh_owner}/%{gh_name}/archive/%{version}.tar.gz#/%{gh_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

# For tests
BuildRequires:  python2-pytest
BuildRequires:  python3-pytest
BuildRequires:  python2-requests
BuildRequires:  python3-requests
BuildRequires:  python2-ntlm3
BuildRequires:  python3-ntlm3
BuildRequires:  python-flask
BuildRequires:  python3-flask
BuildRequires:  /usr/bin/pkill

%description
 This package allows Python clients running on any operating system to provide
NTLM authentication to a supporting server.

%package -n     python2-%{srcname}
Summary:        Python 3 compatible NTLM library
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-ntlm3

%description -n python2-%{srcname}
 This package allows Python clients running on any operating system to provide
NTLM authentication to a supporting server.

%package -n     python3-%{srcname}
Summary:        Python 3 compatible NTLM library
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-ntlm3
 
%description -n python3-%{srcname}
 This package allows Python clients running on any operating system to provide
NTLM authentication to a supporting server.

%prep
%autosetup -n %{gh_name}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install

%check
%{__python} tests/test_server.py &
%{__python} -m pytest tests/test_requests_ntlm.py
pkill -f test_server.py
%{__python3} tests/test_server.py &
%{__python3} -m pytest tests/test_requests_ntlm.py
pkill -f test_server.py

%files -n python2-%{srcname}
%license LICENSE
%doc CONTRIBUTORS.rst README.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%license LICENSE
%doc CONTRIBUTORS.rst README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%changelog
* Mon Oct 10 2016 James Hogarth <james.hogarth@gmail.com> - 0.3.0-1
- Initial package.
